#ifndef STUDENT_H
#define STUDENT_H

#include "Person.h"

class Student : public Person
{
  private:
	string carnet;
	double ppm;
	string majors;

  public:
	Student();
	istream& load(istream& input);
	ostream& print(ostream& output) const;
	virtual inline SocioeconomicalStatus getSocioeconomicalStatus() const
		{ return socioeconomicalStatusMedium; }

  private:

};

#if 0

istream& operator>>(istream& in, Student& student);
ostream& operator<<(ostream& out, const Student& student);

#endif // 0

#endif // STUDENT_H
